org.apache.solr.common.util

## Class XML

- java.lang.Object
- - org.apache.solr.common.util.XML

    public class XML
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XML()`

### Method Summary

Methods
`static void` `escapeAttributeValue(char[] chars, int start, int length, Writer out)`
`static void` `escapeAttributeValue(String str, Writer out)`
`static void` `escapeCharData(String str, Writer out)`
`static void` `writeUnescapedXML(Writer out, String tag, String val, Object... attrs)` does NOT escape character data in val, must already be valid XML
`static void` `writeXML(Writer out, String tag, String val)`
`static void` `writeXML(Writer out, String tag, String val, Map<String,String> attrs)` escapes character data in val
`static void` `writeXML(Writer out, String tag, String val, Object... attrs)` escapes character data in val

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XML

    public XML()

### Method Detail

#### escapeCharData

    public static void escapeCharData(String str,
                      Writer out)
                               throws IOException

Throws:
  `IOException` - If there is a low-level I/O error.

#### escapeAttributeValue

    public static void escapeAttributeValue(String str,
                            Writer out)
                                     throws IOException

Throws:
  `IOException`

#### escapeAttributeValue

    public static void escapeAttributeValue(char[] chars,
                            int start,
                            int length,
                            Writer out)
                                     throws IOException

Throws:
  `IOException`

#### writeXML

    public static final void writeXML(Writer out,
                String tag,
                String val)
                               throws IOException

Throws:
  `IOException`

#### writeUnescapedXML

    public static final void writeUnescapedXML(Writer out,
                         String tag,
                         String val,
                         Object... attrs)
                                        throws IOException

does NOT escape character data in val, must already be valid XML

Throws:
  `IOException`

#### writeXML

    public static final void writeXML(Writer out,
                String tag,
                String val,
                Object... attrs)
                               throws IOException

escapes character data in val

Throws:
  `IOException`

#### writeXML

    public static void writeXML(Writer out,
                String tag,
                String val,
                Map<String,String> attrs)
                         throws IOException

escapes character data in val

Throws:
  `IOException`